blfwk::DataPacket::StdOutDataConsumer Class Reference

Print data for data phase receive. More...

`#include <Command.h>`

Inheritance diagram for blfwk::DataPacket::StdOutDataConsumer:
[legend]
Collaboration diagram for blfwk::DataPacket::StdOutDataConsumer:
[legend]

## Public Types

enum | _constants { kBytesPerLine = 16 }

## Public Member Functions

| StdOutDataConsumer ()
| Constructor.
virtual void | finalize ()
| Finalize processing.
virtual void | processData (const uint8_t *data, uint32_t size)
| Process the next data chunk. More...

## Protected Attributes

uint32_t | m_currentCount
| Current byte being processed, starts at 1.

## Detailed Description

Print data for data phase receive.

## Member Enumeration Documentation

enum blfwk::DataPacket::StdOutDataConsumer::_constants

Enumerator
kBytesPerLine | Number of hex bytes to display per line.

## Member Function Documentation

void blfwk::DataPacket::StdOutDataConsumer::processData | ( | const uint8_t * | data,
|  | uint32_t | size
| ) |  |

virtual

Process the next data chunk.

See host_command.h for documentation on this function.

Implements blfwk::DataPacket::DataConsumer.

The documentation for this class was generated from the following files:

- Command.h
- Command.cpp